import { TipoUbicacion } from '../../tipo-ubicacion/tipo-ubicacion.entity';
import { NivelAmoblado } from '../../nivel-amoblado/nivel-amoblado.entity';
import { TipoInmueble } from '../../tipo-inmueble/tipo-inmueble.entity';
import { EstadoInmueble } from '../../estado-inmueble/estado-inmueble.entity';
import { TipoOperacion } from '../../tipo-operacion/tipo-operacion.entity';
import { User } from '../../users/user.entity';
import { Vista } from '../../vista/vista.entity';
import { Distrito } from '../../distrito/distrito.entity';
import { EstadoProyecto } from '../../estado-proyecto/estado-proyecto.entity';
import { TipoVivienda } from '../../tipo-vivienda/tipo-vivienda.entity';
import { Galeria } from '../../galeria/galeria.entity';
import { InmuebleAreasSociales } from '../../inmueble-areas-sociales/inmueble-areas-sociales.entity';
export declare class UpdateInmuebleWebDto {
    bathroom?: number;
    dormitorios?: number;
    cocheras?: number;
    mascotas?: string;
    cuarto_servicio?: string;
    balcon?: string;
    terraza?: string;
    ascensor?: string;
    deposito?: string;
    area?: number;
    precio?: string;
    precio_mantenimiento?: string;
    precio_cambio: string;
    precio_mantenimiento_cambio: string;
    piso?: number;
    descripcion?: string;
    direccion?: string;
    latitud?: string;
    longitud?: string;
    zoom?: string;
    tipo_ubicacion?: string;
    area_techada?: number;
    antiguedad?: number;
    estreno?: string;
    titulo?: string;
    vista_id?: number;
    tipo_vivienda_id?: number;
    estado_proyecto_id?: number;
    tipo_operacion_id?: number;
    estado_inmueble_id?: number;
    tipo_inmueble_id?: number;
    nivel_amoblado_id?: number;
    distrito_id?: number;
    user_id?: number;
    tipo_ubicacion_id?: number;
    created_at: Date;
    deleted_at: Date;
    distrito: Distrito;
    galeria?: Galeria[];
    id: number;
    nivelAmoblado: NivelAmoblado;
    tipoInmueble: TipoInmueble;
    estadoInmueble: EstadoInmueble;
    tipoOperacion: TipoOperacion;
    tipoUbicacion: TipoUbicacion | null;
    updated_at: Date;
    user: User;
    vista: Vista;
    estadoProyecto: EstadoProyecto;
    tipoVivienda: TipoVivienda;
    ambientes: number;
    areas_sociales: string;
    condominio: string;
    departamento_id: number;
    estado_id: number;
    estado: any;
    inmuebleAreasSociales?: InmuebleAreasSociales[];
    inmuebleEstados: any;
    inmuebleVistas: any;
    provincia_id: any;
    proyecto: string;
    tipoMoneda: any;
    tipo_moneda_id: number;
    tipo_vista_id: number;
    uniqueTipoVistas: any;
}
